package org.apache.jmeter.save.handlers;

import org.apache.jmeter.save.*;
import java.io.Writer;
import org.apache.jmeter.save.xml.*;
import org.apache.jmeter.gui.JMeterComponentModel;
import org.xml.sax.Attributes;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author
 * @version 1.0
 */

public class JMeterComponentHandler extends TagHandler
{
	JMeterComponentModel model;

	public JMeterComponentHandler()
	{
	}

	public void save(Saveable saveObject, Writer out) throws java.io.IOException
	{
		JMeterComponentModel save = (JMeterComponentModel)saveObject;
		out.write("<JMeterComponent type=\"");
		out.write(JMeterHandler.convertToXML(save.getClass().getName()));
		out.write("\" name=\"");
		out.write(JMeterHandler.convertToXML(save.getName()));
		out.write("\"/>");
	}

	public void setAtts(Attributes atts) throws java.lang.Exception
	{
		model = (JMeterComponentModel)Class.forName(atts.getValue("type")).newInstance();
		model.setName(atts.getValue("name"));
	}

	public String getPrimaryTagName()
	{
		return "JMeterComponent";
	}

	public Object getModel()
	{
		return model;
	}
}